org.apache.cassandra.utils

## Class CounterId.OneShotRenewer

- java.lang.Object
- - org.apache.cassandra.utils.CounterId.OneShotRenewer

Enclosing class:
  CounterId

    public static class CounterId.OneShotRenewer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CounterId.OneShotRenewer()`

### Method Summary

Methods
`void` `maybeRenew(CounterColumn column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterId.OneShotRenewer

    public CounterId.OneShotRenewer()

### Method Detail

#### maybeRenew

    public void maybeRenew(CounterColumn column)